Subject: /dev/usema and /dev/usemaclone device drivers

From: Miguel de Icaza <[email-masked]>
Date: Tue, 29 Jul 1997 14:34:55 -0500

Hello guys,

   I am trying to figure out how the /dev/usema and /dev/usemaclone
devices work on IRIX.  These devices are used by the IRIX Xsgi server,
so, well, we need to support them.  

   I have read the manual page for the devices, but they suggest that
people should not be using this device directly, so it does not go
into any detail about the inner working of it.

   So, I would appreciate information on what this device is supposed
to do and how the libc uses this to provide the spinlocks and
semaphores.  Should be pretty easy to figure out how part of the
interface by looking at the libc implementation for the usinit,
usnewlock and usnewsema functions.

Cheers,
Miguel.